package com.dev.swms.server.model.base;

import com.dev.energy.server.model.DomainModel;

public class LPFormat extends DomainModel {
	//private int fullLPQuantity;
	
	/** 单层码放数 */
	private Integer tierQty = 0;
	
	/** 堆高层数 */
	private Integer stackHighQty = 0;
	
	private double height;
	
	public double getHeight() {
		return height;
	}
	public void setHeight(double height) {
		this.height = height;
	}
	public Integer getTierQty() {
		return tierQty;
	}
	public void setTierQty(Integer tierQty) {
		this.tierQty = tierQty;
	}
	public Integer getStackHighQty() {
		return stackHighQty;
	}
	public void setStackHighQty(Integer stackHighQty) {
		this.stackHighQty = stackHighQty;
	}
	
	public boolean verify() {
		if ((tierQty > 0 && stackHighQty > 0 && height > 0) 
				|| (tierQty == 0 && stackHighQty == 0 && height == 0)){
			return true;
		}
		return false;
	}
	
}
